/*
  But :     
  Auteur : Tiago + Lopes
  Date :   07.06.2021 / V1.0
*/

$().ready(function () {
  service = new Service();
  indexCtrl = new IndexCtrl();
  loginCtrl = new LoginCtrl();

  service.centraliserErreurHttp(indexCtrl.afficherErreurHttp);
 // indexCtrl.loadLogin();  
});

class IndexCtrl {
  constructor(){
    this.loadLogin();
  }

  afficherErreurHttp(msg){
    alert(msg);
  }

  loadLogin(){
    service.chargerVue('login', () => new LoginCtrl());
  }
}


